> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

---
id: 502c4e34-8975-4d09-8f5a-1fe52f3366e8
---

# Create or update a timeline event

> Delete an existing Timeline event type.

> [accordion] Scope requirements


## OpenAPI

````yaml specs/legacy/v1/crm-timeline-v1.json PUT /integrations/v1/{application-id}/timeline/event
openapi: 3.0.0
info:
  title: CRM Timeline Events API v1
  version: 1.0.0
  description: Legacy CRM Timeline Events API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /integrations/v1/{application-id}/timeline/event:
    put:
      summary: Create or update a timeline event
      description: Delete an existing Timeline event type.
      operationId: putintegrationsv1applicationidtimelineevent
      responses:
        '200':
          description: Successful response - Delete an existing Timeline event type
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Create or update a timeline event - Example 1
                  value:
                    - id: '3'
                      objectId: 1
                      eventTypeId: '123'
                    - id: '3'
                      email: test@test.com
                      eventTypeId: '123'
                    - id: '3'
                      utk: 89b5afb740d41f4cd6651ac5237edf09
                      eventTypeId: '123'
                    - id: '1'
                      objectId: 11
                      email: santa.claus@far.com
                      eventTypeId: '123'
                    - id: '3'
                      objectId: 1
                      eventTypeId: '123'
                      extraData:
                        name: JohnDoe
                        weather: Cloudy
                    - id: '3'
                      objectId: 1
                      eventTypeId: '123'
                      presentationId: '9876543'
                      extraData:
                        name: JohnDoe
                        weather: Cloudy
                    - id: '3'
                      objectId: 1
                      eventTypeId: '123'
                      timelineIFrame:
                        linkLabel: View external data
                        iframeLabel: Example iframe
                        iframeUri: https://example.com
                        width: 800
                        height: 300

````